import csv

fileReader = open("tables/loans_subset.csv", "rt", encoding="utf8")
csvReader  = csv.DictReader(fileReader)

dTable = dict()
count_table = dict()
sector_table = dict()
for dcObservation in csvReader:  #Go through rows in spreadsheet
  cCountry = dcObservation["country"]
  cSector = dcObservation["sector"]
  
  if cCountry not in dTable:
      dTable[ cCountry ] =  float(dcObservation["loan_amount"])
      count_table[ cCountry ] =  1
  else:
      dTable[ cCountry ] += float(dcObservation["loan_amount"])
      count_table[ cCountry ] +=  1
    
  if cSector not in sector_table:
      sector_table[ cSector ] =  1
  else:
      sector_table[ cSector ] +=  1

fileReader.close()
print("Country Distribution of Money: ", dTable)
print("Country Distribution of numbers: ", count_table)
print("Sector Distribution of numbers: ", sector_table)