import csv
import numpy as np
import scipy as sp
import scipy.stats

fileReader = open("tables/loans_subset.csv", "rt", encoding="utf8")
csvReader  = csv.DictReader(fileReader)


acPositive  = ["progress", "success", "profit", "well", "good"  ]
acNegative  = ["patience", "fear", "wait", "unexpected", "delay"]

anSentiment = []
for dcObservation in csvReader:
    acRepaymentComments = dcObservation["description_texts_en"]

    nSentiment = 0
  

    for cWord in acPositive:
      nSentiment += acRepaymentComments.count(cWord)
    
    for cWord in acNegative:
      nSentiment -= acRepaymentComments.count(cWord)
  
    anSentiment.append( nSentiment )

fileReader.close()

print("Sentiment Frequency")
print(sp.stats.itemfreq( anSentiment))
